function stdev = delta_method_ir(xpara, hh, W, vcovmat, hstep, mde_estimate, param_name, CompMIRF_name)

% COMPUTE IRF FOR mde_estimate + hstep
xmde_plus = xpara;
if     strcmp(param_name,'phiC')
    xmde_plus.phiC    = mde_estimate + hstep; 
elseif strcmp(param_name, 'phiX')
    xmde_plus.phiX    = mde_estimate + hstep; 
elseif strcmp(param_name,'xi')
    xmde_plus.xi      = mde_estimate + hstep;
elseif strcmp(param_name,'varrho')
    xmde_plus.varrho  = mde_estimate + hstep;
elseif strcmp(param_name,'thetaX')
    xmde_plus.thetaX  = mde_estimate + hstep;
else
    error('delta_method_ir: param_name should be PHIC, PHIX, thetaX, XI or VARRHO.')
end
     
string_plus = ['IRFmodel_plus=',CompMIRF_name,'(xmde_plus, hh);'];
eval(string_plus)

% COMPUTE IRF FOR mde_estimate - hstep
xmde_minus = xpara;
if     strcmp(param_name,'phiC')
    xmde_minus.phiC   = mde_estimate - hstep;
elseif strcmp(param_name, 'phiX')
    xmde_minus.phiX   = mde_estimate - hstep; 
elseif strcmp(param_name,'xi')
    xmde_minus.xi     = mde_estimate - hstep;
elseif strcmp(param_name,'varrho')
    xmde_minus.varrho = mde_estimate - hstep;
elseif strcmp(param_name,'thetaX')
    xmde_minus.thetaX = mde_estimate - hstep;
else
    error('delta_method_ir: param_name should be PHIC PHIX, thetaX, XI or VARRHO.')
end

string_minus = ['IRFmodel_minus=',CompMIRF_name,'(xmde_minus, hh);'];
eval(string_minus)

% DELTA METHOD
Dmat = 0.5 * (IRFmodel_plus - IRFmodel_minus) / hstep;

DWD = Dmat' * W * Dmat;
DWSWD = Dmat' * W * vcovmat * W * Dmat;

variance = DWD \ DWSWD / DWD;
stdev = sqrt(variance);
