clear
clc

% TITLE FONTSIZE
tfs = 16;

% LOAD PRE-COMPUTED IMPULSE RESPONSES 
load ResultKnitro_mg.mat
c_mgr   = IRFmodel(:,1);
x_mgr   = IRFmodel(:,2);
pic_mgr = IRFmodel(:,3);
pix_mgr = IRFmodel(:,4);
clear IRFmodel

tend = 25;
tt = 0:1:tend-1;

set(0,'DefaultLineLineWidth',2);
set(0,'DefaultAxesFontSize',20,'DefaultAxesFontName','Arial');
set(0,'DefaultTextFontSize',20,'DefaultTextFontName','Arial');

figure('units','normalized','outerposition',[0 0 1 1])
orient portrait
set(gcf,'renderer','Painters')
set(gcf, 'Color', 'w');

subplot(2,2,1);
plot(tt,IRFc,'r--',tt,c_mgr(1:tend, 1),'b-', tt,UCI(1:tend,1),'r:',tt,LCI(1:tend,1),'r:') 
hold on
plot(tt, zeros(tend,1),'k-','LineWidth',1);
hold off
title('Nondurable Goods \& Services', 'Fontsize', tfs,'Interpreter','Latex');
ylabel('percentage','Interpreter','Latex','Fontsize',12);
legend('VAR','Model','Location','SouthWest');
legend boxoff
xlim([0 tend-1]);

subplot(2,2,2);
plot(tt,IRFx,'r--',tt,x_mgr(1:tend,1),'b-', tt,UCI(1:tend,2),'r:',tt,LCI(1:tend,2),'r:')
hold on
plot(tt, zeros(tend,1),'k-','LineWidth',1);
hold off
title('Residential Investment','FontSize',tfs,'Interpreter','Latex');
ylabel('percentage','Interpreter','Latex','Fontsize',12);
xlim([0 tend-1]);

subplot(2,2,3);
plot(tt,IRFpic,'r--',tt,pic_mgr(1:tend,1),'b-', tt,UCI(1:tend,3),'r:',tt,LCI(1:tend,3),'r:')
hold on
plot(tt, zeros(tend,1),'k-','LineWidth',1);
hold off
title('Nondurable Goods \& Services Inflation','FontSize',tfs,'Interpreter','Latex')
ylabel('percentage point','Interpreter','Latex','Fontsize',12);
xlim([0 tend-1]);

subplot(2,2,4);
plot(tt,IRFpix,'r--',tt,pix_mgr(1:tend,1),'b-', tt,UCI(1:tend,4),'r:',tt,LCI(1:tend,4),'r:')
hold on
plot(tt, zeros(tend,1),'k-','LineWidth',1);
hold off
title('Residential Price Inflation','FontSize',tfs,'Interpreter','Latex');
ylabel('percentage point','Interpreter','Latex','Fontsize',12);
xlim([0 tend-1]);

